This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 878544 - katello-configure does not create the default admin user when --user-name is used
katello-configure does not create the default admin user when --user-name is ...
Status: CLOSED NOTABUG
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello-configure (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Jordan OMara
SAM QE List
:
Depends On: 878543
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-20 11:38 EST by Jordan OMara
Modified: 2014-11-09 17:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 878543
Environment:
Last Closed: 2012-11-20 18:54:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jordan OMara 2012-11-20 11:38:04 EST
+++ This bug was initially created as a clone of Bug #878543 +++

Description of problem:

While configuring my headpin/katello system to use LDAP, if I specify the default user name for the admin user during the configuration using --user-name, the default administrator user is created as "admin", completely ignoring the one I passed as an argument.

Also, note that the password for the admin user is displayed as plain text... it should be a hash of some type.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. katello-configure --deployment=headpin --user-name=Administrator --user-email=foo@bar.com --org-name='CFSE QE' --ldap-server=********* --auth-method=ldap --ldap-port=389 --ldap-server-type='active_directory' --ldap-users-basedn='*******' --ldap-roles=true --ldap-anon-queries=false --ldap-service-user='Administrator' --ldap-service-pass='******' --ldap-ad-domain='win-ads.redhat.com'
2. Login as Administrator and use the LDAP password for this user
3.
  
Actual results:

The user can login but does not have admin priviledge

Expected results:

User Administrator should be the default admin user with all access


Additional info:

# RAILS_ENV=production RAILS_RELATIVE_URL_ROOT=/headpin rails console
Loading production environment (Rails 3.0.10)
irb(main):001:0> User.all
=> [#<User id: 1, username: "admin", password: "admin", helptips_enabled: true, hidden: false, created_at: "2012-11-20 16:05:40", updated_at: "2012-11-20 16:05:40", own_role_id: 3, page_size: 25, disabled: false, email: "omaciel@redhat.com", password_reset_token: nil, password_reset_sent_at: nil, preferences: {}, foreman_id: nil>, #<User id: 2, username: "hidden-KupQJK", password: "**********", helptips_enabled: true, hidden: true, created_at: "2012-11-20 16:05:40", updated_at: "2012-11-20 16:05:40", own_role_id: 4, page_size: 25, disabled: false, email: "rtiZeVckrH@localhost", password_reset_token: nil, password_reset_sent_at: nil, preferences: {}, foreman_id: nil>, #<User id: 3, username: "Administrator", password: nil, helptips_enabled: true, hidden: false, created_at: "2012-11-20 16:07:40", updated_at: "2012-11-20 16:07:40", own_role_id: 5, page_size: 25, disabled: false, email: nil, password_reset_token: nil, password_reset_sent_at: nil, preferences: {}, foreman_id: nil>]
Comment 3 Og Maciel 2012-11-20 13:31:51 EST
u.save

Note You need to log in before you can comment on or make changes to this bug.